#
# spec file for package libmsiecf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmsiecf
%define lname	libmsiecf1
%define timestamp	20150314
Version:        0~%timestamp
Release:        lp150.1.3
Summary:        Library to parse MS Internet Explorer Cache Files
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libmsiecf/wiki
Source:         https://github.com/libyal/libmsiecf/releases/download/%timestamp/%name-alpha-%timestamp.tar.gz
Source2:        MSIE_Cache_File_(index.dat)_format.pdf
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  pkgconfig(libbfio) >= 20120426
BuildRequires:  pkgconfig(libcdata) >= 20120425
BuildRequires:  pkgconfig(libcfile) >= 20120526
BuildRequires:  pkgconfig(libclocale) >= 20120425
BuildRequires:  pkgconfig(libcnotify) >= 20120425
BuildRequires:  pkgconfig(libcpath) >= 20120701
BuildRequires:  pkgconfig(libcsplit) >= 20120701
BuildRequires:  pkgconfig(libcsystem) >= 20150101
BuildRequires:  pkgconfig(libfdatetime) >= 20120522
BuildRequires:  pkgconfig(libfguid) >= 20120426
BuildRequires:  pkgconfig(libfole) >= 20150104
BuildRequires:  pkgconfig(libfvalue) >= 20120428
BuildRequires:  pkgconfig(libuna) >= 20120425
# these packages fail if the factory version is used, verified 1/14/2015
#BuildRequires:  pkgconfig(libcerror) >= 20120425
#BuildRequires:  pkgconfig(libcstring) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libmsiecf is a library to parse MS Internet Explorer Cache Files.

%package -n %lname
Summary:        Library to parse MS Internet Explorer Cache Files
License:        LGPL-3.0+
Group:          System/Libraries

%description -n %lname
libmsiecf is a library to parse MS Internet Explorer Cache Files.

%package tools
Summary:        Utilities to inspect MS Internet Explorer Cache Files
License:        LGPL-3.0+
Group:          System/Filesystems

%description tools
Several tools for reading MS Internet Explorer Cache files.
 
%package devel
Summary:        Development files for %name
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libmsiecf is a library to parse MS Internet Explorer Cache Files.

This subpackage contains libraries and header files for developing
applications that want to make use of %name.

%package -n python-%name
Summary:        Python bindings for libmsiecf
License:        LGPL-3.0+
Group:          Development/Libraries/Python
Requires:       %lname = %version
Requires:       python
Provides:       pymsiecf = %version

%description -n python-%name
Python bindings for libmsiecf, which can read MS IE cache files.

%prep
%setup -qn libmsiecf-%timestamp
cp "%SOURCE2" .

%build
%configure --disable-static --enable-wide-character-type --enable-python
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
find %buildroot -name '*.la' -delete

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libmsiecf.so.*

%files tools
%defattr(-,root,root)
%_bindir/msiecf*
%_mandir/man1/msiecf*.1*

%files devel
%defattr(-,root,root)
%doc MSIE_Cache_File*.pdf
%_includedir/libmsiecf.h
%_includedir/libmsiecf/
%_libdir/libmsiecf.so
%_libdir/pkgconfig/libmsiecf.pc
%_mandir/man3/libmsiecf.3*

%files -n python-%name
%defattr(-,root,root)
%doc AUTHORS COPYING README
%python_sitearch/pymsiecf.so

%changelog
* Fri May  8 2015 Greg.Freemyer@gmail.com
- updated ot 0~20150314
  * worked on Python bindings cache directory support
* Wed Jan 14 2015 Greg.Freemyer@gmail.com
- update to 0~20150106
  * 2015 update
  * worked on Python 3 support
  * worked on tests
  * code clean up
  * bug fix in Python-bindings
  * update Python-bindings tests
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- add BuildRequires for libyal packages newly released
* Tue Aug 26 2014 Greg.Freemyer@gmail.com
- add these 2 lines to python sub-project to ensure proper syncronization between versions
  * Provides:	pyevt = %%version
* Wed Aug 13 2014 Greg.Freemyer@gmail.com
- update to 0~20140731
  * bug fix in Python-bindings
  * worked on Python bindings
  * worked on setup.py
  * 2014 update
  * updated dependencies
* Tue Nov 26 2013 Greg.Freemyer@gmail.com
- update to 0~20131015
  * updated dependencies
  * improved pymsiecf as integer functions
  * worked on setup.py, largely for MSI builds
* Tue Aug 27 2013 Greg.Freemyer@gmail.com
- update to 0~20130806
  * fixes for building with stand-alone libuna and libbfio
  * bug fix in pymsiecf file object libbfio glue code
  * worked on tests
- use libyal packages from factory where possible
* Wed Jul 31 2013 Greg.Freemyer@gmail.com
- updated to v0~20130529
  * updated dependencies
  * worked on pymsiecf simple inheritance of leak, redirected and url items
  * worked on hash calculation
  * worked on tests
  * bug fix in record scan due to recent dependency update
  * textual changes
  * updates and bug fixes in pymsiecf
  * fixed codepage 1255 restriction
  * fixed codepage 949 and 950 restriction
- change to gz compression to simplyfy download/convert
- use libyal packages from factory where possible
* Thu Apr 18 2013 jengelh@inai.de
- fixed: python-libmsiecf required unprovidable libmsiecf%%soname
* Fri Apr  5 2013 jengelh@inai.de
- Cleanups: Set RPM group, license, summary and description
  metadata; remove unused %%py_requires; do not bloat shlib package
  with documentation
- Use system libraries instead of bundled ones where possible
- Name the tools package according to upstream's recommendation
- Drop unnecessary -fno-strict-aliasing
* Wed Mar 27 2013 Greg.Freemyer@gmail.com
- initial package (version 0~20130317) for build.opensuse.org
